#include "AppDelegate.h"
#include "GeneratedPluginRegistrant.h"
#import "VideoPlayerPlugin.h"
#import "FlutterShortVideoMethodCall.h"

@implementation AppDelegate

- (BOOL)application:(UIApplication *)application
    didFinishLaunchingWithOptions:(NSDictionary *)launchOptions {
  [GeneratedPluginRegistrant registerWithRegistry:self];
  // Override point for customization after application launch.
    [FLTVideoPlayerPlugin registerWithRegistrar:[self registrarForPlugin:@"FLTVideoPlayerPlugin"]];
    [FlutterShortVideoMethodCall registerWithRegistrar:[self registrarForPlugin:@"FlutterShortVideoMethodCall"]];
  return [super application:application didFinishLaunchingWithOptions:launchOptions];
}

@end
