import 'dart:collection';

import 'package:flutter/foundation.dart';
import 'package:short_video/base/i_log.dart';
import 'package:short_video/platform/sg_player.dart';

class PlayerPool{
  static int PLAYER_COUNT = 5;

  static Map<int, VideoPlayerController> cachePlayers = HashMap<int, VideoPlayerController>();

  // 全局释放资源
  static void clear() {
    cachePlayers.forEach((k,v){
      if(v!=null){
        v.dispose();
      }
    });
    cachePlayers.clear();
  }

//  static void release(int index) {
//    int cacheIndex = index % PLAYER_COUNT;
//    VideoPlayerController res = cachePlayers[cacheIndex];
//    if(res == null){
//      return;
//    }
//    // 此处掉用 ValueNotifier 的dispose 方法，而不是调用VideoPlayerController的
//    ValueNotifier vn = res;
//    vn.dispose();
//  }

//  static VideoPlayerController get(int index, String dataSource) {
//    int cacheIndex = index % PLAYER_COUNT;
//    VideoPlayerController res = cachePlayers[cacheIndex];
//    if(res == null){
//      res =
//          VideoPlayerController.network(dataSource ?? "");
//      cachePlayers[cacheIndex] = res;
//    }else{
//      ILog.lg.i("xxxx resetDataSource for $index -> $dataSource");
//      res.resetDataSource(dataSource);
//    }
//    return res;
//  }
}