import 'package:flutter/material.dart';
import 'package:intl/intl.dart';
import 'package:logging/logging.dart';
import 'package:short_video/base/i_log.dart';
//import 'package:stack_trace/stack_trace.dart';

class SgLog extends ILog{
  var formatter = new DateFormat('mm:ss.SSS');
  static void  initLog(){
    Logger.root.level = Level.ALL;
    Logger.root.onRecord.listen((LogRecord rec) {
      debugPrint('${rec.level.name}: ${rec.time}: ${rec.message}');
    });

    ILog.resetLg(SgLog());
  }


  Logger hcl = new Logger('SGLog');
  @override
  void d(String message) {
    hcl.fine(message);
  }

  @override
  void e(String message) {
    hcl.shout(message);
  }

  @override
  void i(String message) {
    hcl.info(message);
  }

  @override
  void invoke([String message]) {
//    hcl.info("TRACK-${formatter.format(DateTime.now())} " + Trace.current().frames[1].member + " Invoked MSG:$message" );
  }

  @override
  void notImp() {
//    hcl.shout(Trace.current().frames[1].member + " Not Implemented" );
  }
}
