import 'package:short_video/base/i_store_sp.dart';
import 'package:shared_preferences/shared_preferences.dart';

class ImpBaseStoreSp extends IStoreSp {

  final SharedPreferences _sharedPreferences;

  ImpBaseStoreSp(this._sharedPreferences):assert(_sharedPreferences != null);


  @override
  Future<bool> clear() {
    return _sharedPreferences.clear();
  }

//  @override
//  get(String key) {
//    return _sharedPreferences.get(key);
//  }

  @override
  bool getBool(String key) {
    return _sharedPreferences.getBool(key);
  }

  @override
  double getDouble(String key) {
    return _sharedPreferences.getDouble(key);
  }

  @override
  int getInt(String key) {
    return _sharedPreferences.getInt(key);
  }

  @override
  Set<String> getKeys() {
    return _sharedPreferences.getKeys();
  }

  @override
  String getString(String key) {
    return _sharedPreferences.getString(key);
  }

  @override
  Future<bool> remove(String key) {
    return _sharedPreferences.remove(key);
  }

  @override
  Future<bool> setBool(String key, bool value) {
    return _sharedPreferences.setBool(key,value);
  }

  @override
  Future<bool> setDouble(String key, double value) {
    return _sharedPreferences.setDouble(key, value);
  }

  @override
  Future<bool> setInt(String key, int value) {
    return _sharedPreferences.setInt(key, value);
  }

  @override
  Future<bool> setString(String key, String value) {
    return _sharedPreferences.setString(key,value);
  }

//  @override
//  Future<bool> setStringList(String key, List<String> value) {
//    return _sharedPreferences.setStringList(key,value);
//  }

}