import 'package:flutter/cupertino.dart';

class UITools {
  static String formatNum(int value) {
    if (value == null || value < 1) {
      return "";
    } else {
      if (value >= 1 && value < 10000) {
        return '$value';
      } else {
        double result = value / 10000.0;
        String str = result.toStringAsFixed(1);
        return str + "W";
      }
    }
  }

  static double getVideoBottomMargin (BuildContext context) {
    double bottomPadding = MediaQuery.of(context).padding.bottom;
    if (bottomPadding > 10) {
      return 34;
    } else {
      return 0;
    };
  }
  static double getAdBottomMargin(BuildContext context) {
    double bottomPadding = MediaQuery.of(context).padding.bottom;
    if (bottomPadding > 10) {
      return 34;
    } else {
      return 20;
    }
  }
  //检测字符串是否是有效的url字符串
  static bool checkUrlStringIsValid(String str) {
    if(str != null && str is String && str.length > 0){
      return true;
    }else {
      return false;
    }
  }
}

