#!/usr/bin/env python3
# -*- coding: utf-8 -*-
import os,shutil,string


# log_path = os.getcwd() + '/Logs/' #当前文件夹下的Logs文件夹
#复制单个文件
def copySinglefile(srcfile, dstPath):
    if not os.path.isfile(srcfile):
        print "%s not exist!"%(srcfile)
    else:
        fpath,fname = os.path.split(srcfile)    #分离文件名和路径
        dstfile =  dstPath + "/" + fname 
        if os.path.exists(dstfile):
        	os.remove(dstfile) #删除
        print('源文件：' + srcfile)
        print('目文件：' + dstfile)
        shutil.copyfile(srcfile,dstfile)      #复制文件
        print "copy %s -> %s"%( srcfile,dstfile)
# 复制文件夹
def copyDirFile(srcPath,dstPath):
	if not os.path.exists(srcPath):
		return
	if not os.path.isdir(srcPath):
		copySinglefile(srcPath,dstPath)
	else:
		for file in os.listdir(srcPath): 
			srcPathTemp = srcPath + file
			copySinglefile(srcPathTemp, dstPath)

# projectFath = "/Users/gaoqingtao/Documents/sogouWorkSpace/short_video/"
projectRelativeFath = os.getcwd() + '/'
projectFath = projectRelativeFath
thirdLibPath = 'ios/.symlinks/plugins/'
#获取第三方插件列表
def getPluginDirList (pluginPath):
	print("插件路径" + pluginPath)
	fileList = list()
	# for root, dirs ,files in os.walk(pluginPath):
	for file in os.listdir(pluginPath): 
		print("中间")
		print(file)
		fileList.append(file)
	return fileList

#复制需要的第三方插件类，根据三方库名来建文件夹存储路径
def  copyPluginsClassFiles(pluginPath, projectFath):
	print("好人啊")
	fileList = getPluginDirList(pluginPath)
	print("结果")
	print(fileList)
	for subdir in fileList:
	 	classesPath = pluginPath + subdir + '/ios/Classes/'
	 	print("classesPath =" + classesPath)
	 	targetPath = projectFath + 'SeMobFlutterResult/' + subdir
	 	if not os.path.exists(targetPath):
	 		os.makedirs(targetPath)
	 	print("targetPath =" + targetPath)
	 	copyDirFile(classesPath,targetPath)
# 复制flutter的产物
def copyFlutterResult(resPath, projectFath):
	if not os.path.exists(resPath):
		return
	targetPath = projectFath + 'SeMobFlutterResult'
	if not os.path.exists(targetPath):
		os.makedirs(targetPath)
	flutterPathTemp = targetPath + "/Flutter"
	if os.path.exists(flutterPathTemp):
		shutil.rmtree(flutterPathTemp) #只能删除空目录
	print("Flutter结果：" + resultPath)
	print("复制目标路径：" + flutterPathTemp)
	shutil.copytree(resPath, flutterPathTemp)#参数必须都为文件夹


pluginAbsolutePath = projectFath + thirdLibPath;
resultPath = projectFath + 'ios/Flutter'
copyPluginsClassFiles(pluginAbsolutePath, projectFath)
copyFlutterResult(resultPath, projectFath)
