/// 单例
class BuildConfig {
  static final String APP_VERSION = "1.0.0";
  static final String CHANNEL = "main";

  static final BuildConfig _globalInstance = BuildConfig._internal();
  bool _inDebugMode = false;

  BuildConfig._internal() {
    assert((_inDebugMode = true));
  }

  factory BuildConfig() {
    return _globalInstance;
  }

  bool isInDebugMode() {
    return _inDebugMode;
  }
  /// TODO: release 模式下记得关闭
  bool needDebugMenu() {
    return true;
  }
}
