class NetConst{
  /// 服务器响应ok */
  static final int HTTP_ERROR_SERVER_OK = 0;

  /// 服务器不可达：设备无网络，服务器宕机 。。。 */
  static final int HTTP_ERROR_SERVER_UNREACHABLE = 5000;

  /// 服务器状态非法：http返回404，500等非200的response code */
  static final int HTTP_ERROR_SERVER_FAIL = 5010;

  /// 返回格式非法 */
  static final int HTTP_ERROR_WRONG_FORMATION = 5020;

  /// ContentType 非法，只支持 String, JSON */
  static final int HTTP_ERROR_WRONG_CONTENT_TYPE = 5021;

  /// utf8 解码失败
  static final int HTTP_ERROR_CODEC_WRONG = 5022;

  /// 用户未登陆 */
  static final int HTTP_ERROR_AUTH_FAILED = 5001;

  /// 获取token 失败 */
  static final int HTTP_ERROR_GET_TOKEN_FAILED = 1010;

  /// error for alter  */
  static final int HTTP_ERROR_ALTER = 11111;

  /// error for toast  */
  static final int HTTP_ERROR_TOAST = 22222;
}