import 'package:short_video/bean/rsp_video_list.dart';
import 'package:short_video/network/i_req_base.dart';
import 'package:short_video/network/i_rsp_base.dart';

/// 实现业务接口
/// 获取视频列表
class ReqGetVideoList extends ISgReqBusiness {
  String para1;
  int para2;

  @override
  Map<String, dynamic> addBussParameter(Map<String, dynamic> commonParameter) {
    var superRes = super.addBussParameter(commonParameter);
    superRes['channel'] = "小视频";

    return superRes;
  }

  @override
  String apiPath() {
    return "pre_detail_list";
  }

  @override
  BaseResponse createResponseObj() {
    return RspVideoList();
  }
}
